Page MenuHomePhabricator

CX2: Adding category fails with "this.categoryWidget.getCategories is not a function" error
Closed, ResolvedPublic

Description

Typing into target category input, when trying to search for new categories, always fails with following JS error:

TypeError: this.categoryWidget.getCategories is not a function
    at CategoryInputWidget.ve.ui.MWCategoryInputWidget.getLookupMenuOptionsFromData (http://localhost/core/extensions/VisualEditor/modules/ve-mw/ui/widgets/ve.ui.MWCategoryInputWidget.js?8f79f:124:44)
    at CategoryInputWidget.<anonymous> (http://localhost/core/resources/lib/oojs-ui/oojs-ui-widgets.js?106e3:877:15)
    at mightThrow (http://localhost/core/load.php?debug=true&lang=en&modules=jquery%2Cmediawiki%7Cmediawiki.base&only=scripts&skin=vector&version=02igl38:3583:29)
    at process (http://localhost/core/load.php?debug=true&lang=en&modules=jquery%2Cmediawiki%7Cmediawiki.base&only=scripts&skin=vector&version=02igl38:3651:12) undefined

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2018, 4:09 PM
Pginer-WMF triaged this task as Normal priority.Jun 25 2018, 4:53 PM
Pginer-WMF moved this task from Needs Triage to CX2 on the ContentTranslation board.
Petar.petkovic renamed this task from CX2: Adding category fails when there is no category adapted to CX2: Adding category fails with "this.categoryWidget.getCategories is not a function" error.Jun 26 2018, 7:59 AM
Petar.petkovic claimed this task.
Petar.petkovic updated the task description. (Show Details)

Change 442027 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Fix adding new categories regressions

https://gerrit.wikimedia.org/r/442027

Change 442027 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Fix adding new categories regressions

https://gerrit.wikimedia.org/r/442027

Etonkovidova closed this task as Resolved.Jun 27 2018, 3:03 AM
Petar.petkovic removed a subscriber: gerritbot.
Vvjjkkii renamed this task from CX2: Adding category fails with "this.categoryWidget.getCategories is not a function" error to 1baaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Petar.petkovic as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
JJMC89 renamed this task from 1baaaaaaaa to CX2: Adding category fails with "this.categoryWidget.getCategories is not a function" error.Jul 1 2018, 4:25 AM
JJMC89 closed this task as Resolved.
JJMC89 assigned this task to Petar.petkovic.
JJMC89 lowered the priority of this task from High to Normal.
JJMC89 updated the task description. (Show Details)